@basket-z-index-base: @zindex-navbar-fixed;

body.canvas-basket-dialog__open {
    overflow: hidden;

    .canvas-basket-dialog {
        opacity: 1;
        visibility: visible;
        z-index: @basket-z-index-base + 2;
    }

    .canvas-dialog__page-fade {
        opacity: 1;
        visibility: visible;
        z-index: @basket-z-index-base + 1;
    }
}

.canvas-basket-dialog {
    background: @white;
    outline: none;
    min-width: 600px;
    width: 50%;
    border: 1px solid @border-color;

    @media screen and (min-width: 1600px){
        padding-left: 180px;
        padding-right: 100px;
        padding-top: 36px;
        .canvas-dialog__close-btn{
            right: 87px;
        }
    }

    @media screen and (max-width: @screen-sm-max){
        min-width: 100%;
    }

    &__toggler {
        position: relative;
    }

    #navigation-basket-partial > div.mb-5 > h2, #navigation-basket-partial > div.mb-5 > h2 span{
        font-style: normal;
        font-weight: bold;
        font-size: 40px;
        line-height: 44px;
        letter-spacing: -0.03em;
        text-transform: uppercase;
        color: #000000;
        font-family: @font-headline;
        @media screen and (max-width: @screen-sm-max){
            font-style: normal;
            font-weight: 800;
            font-size: 20px;
            line-height: 100%;
            letter-spacing: -0.01em;
        }
    }

    .mb-5{
        @media screen and (min-width: 1600px){
            margin-left: -90px; 
        }
    }

    .basket-summary {
        margin-top: @grid-gutter-width;
        margin-bottom: @grid-gutter-width/2;
        border-top: 1px solid @border-color;
        border-bottom: 1px solid @border-color;
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: flex-start;
        font-size: @font-size-large;
        font-family: @headings-font-family;
        font-weight: @headings-font-weight;
        letter-spacing: @headings-letter-spacing;
        text-transform: uppercase;

        > div {
            padding: @grid-gutter-width/2 0;
        }
    }

    .basket-line {
        display: flex;
        flex-flow: row nowrap;
        margin-top: 52px;
        margin-bottom: 10px;

        @media (max-width: @screen-xs-max) {
            margin-top: 0;
        }

        & + .basket-line {
            margin-top: @grid-gutter-width;
        }

        @media (max-width: @screen-xs-max) {
            flex-wrap: wrap;
        }

        &__product-image {
            flex-grow: 0;
            flex-shrink: 0;
            padding-right: @grid-gutter-width;
            width: auto;
            margin-right: 15px;

            @media (max-width: @screen-xs-max) {
                margin-bottom: 10px;
                flex-grow: 1;
                margin-right: 20px;
                margin-left: 20px;
                margin-top: 70px;
                margin-bottom: 15px;
                width: 100%;
                padding-right: 40px;
            }

            img {
                width: 180px;
                height: auto;
                border: 1px solid @border-color;

                @media (max-width: @screen-xs-max) {
                    width: 100%;
                    flex-grow: 1;
                    max-width: 300px;
                    margin: auto;
                }
            }
        }

        &__details {
            flex-shrink: 1;
            flex-grow: 1;
            display: flex;
            flex-flow: column nowrap;
            justify-content: space-between;
            @media (max-width: @screen-xs-max) {
                padding: 0 20px;
                max-width: 340px;
                margin: auto;
            }
            .upper-cell{
                display: flex;
                align-items: flex-start;
                justify-content: flex-start;
                @media screen and (max-width: @screen-sm-max){
                    flex-direction: column;
                }
            }
        }

        &__row {
            display: flex;
            flex-flow: row nowrap;
            justify-content: space-between;
            align-items: center;
            > div:first-child {
                margin-right: @grid-gutter-width;
            }
        }

        .supplier-info {
            text-transform: uppercase;
            font-size: @font-size-small;
            font-weight: 500;
            font-family: @font-headline;
            font-style: normal;
            font-weight: bold;
            font-size: 16px;
            line-height: 101%;
            letter-spacing: -0.03em;
            text-transform: uppercase;
            color: #000000;
            @media screen and (max-width: @screen-sm-max){
                font-size: 12px;
                line-height: 140%;
            }
        }

        h3 {
            margin-top: 0;
            text-transform: none;
            .product-name{
                font-style: normal;
                font-weight: bold;
                font-size: 26px;
                line-height: 110.5%;
                letter-spacing: -0.03em;
                text-transform: capitalize;
                color: #000000;
                font-family: @font-primary;
                @media screen and (max-width: @screen-sm-max){
                    font-size: 24px;
                }        
            }
        }
        &__cell.name {
            flex-grow: 1;
            margin-right: 16px;
            @media screen and (max-width: @screen-sm-max){
                flex-grow: 0;
            }
        }
        &__cell.price {
            font-family: @headings-font-family;
            font-weight: @headings-font-weight;
            margin: 1rem 0;
            margin-top: 0;
            font-style: normal;
            font-weight: bold;
            font-size: 26px;
            line-height: 101%;
            text-align: right;
            letter-spacing: -0.03em;
            text-transform: capitalize;
            color: #000000;
            small {
                font-weight: 400;
            }
            @media (max-width: @screen-sm-max) {
                font-size: 14px;
                line-height: 33.5%;
                text-align: left;
            }
        }

        .add-to-wishlist,
        .btn.delete-line {
            padding: 5px;
            display: flex;
            justify-content: center;
            align-items: center;

            img{
                width: 20px!important;
                height: 20px!important;
            }
            .text {
                display: none;
            }

            svg {
                width: 20px!important;
                height: 20px!important;
            }
        }
        .add-to-wishlist{
            margin-right: 33px;
        }
    }

    .basket-quantity {
        display: flex;
        flex-flow: row nowrap;
        align-items: center;

        input {
            border: none;
            text-align: center;
            width: 45px;
            font-weight: bold;
            -moz-appearance: textfield;
            -webkit-appearance: none;

            &::-webkit-outer-spin-button,
            &::-webkit-inner-spin-button {
                -webkit-appearance: none;
            }
        }

        button {
            border: none;
            background: none;
            padding: 0;
            cursor: pointer;
            padding: 4px;
            display: flex;
            align-items: center;
            justify-content: center;

            svg {
                height: 16px;
                width: 16px;
            }
        }
    }
}

#navigation-basket-partial .basket-discount-code, #navigation-basket-partial .basket-summary,
#navigation-basket-partial > .btn-lg-vertical{
    @media screen and (max-width: @screen-xs-max){
        max-width: 300px;
        margin: 0 auto;
    }
}
